Loading...
Searching...
No Matches
gx_engine::MonoMute Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::MonoMute:

## Public Member Functions

| MonoMute ()

## Static Private Member Functions

static void | process (int count, float *input, float *output, PluginDef *)

## Additional Inherited Members

Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 35 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## MonoMute()

gx_engine::MonoMute::MonoMute | ( |  | ) |

## Member Function Documentation

## process()

void gx_engine::MonoMute::process | ( | int | count,
|  | float * | input,
|  | float * | output,
|  | PluginDef * | )

static private

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h